# GraphAlgo_TSPGreedy2 (1_graphentester)

Package algorithmen

## Class GraphAlgo_TSPGreedy2

- java.lang.Object
- - java.lang.Thread
  - - algorithmen.GraphAlgo
    - - algorithmen.GraphAlgo_TSPGreedy2

All Implemented Interfaces:
  `Runnable`

    public class GraphAlgo_TSPGreedy2
    extends GraphAlgo

Dieser Algorithmus sucht einen möglichst kurzen Hamilton-Kreis (Traveling Salesman Problem). Algorithmus: Greedy Strategie: Sortiere Kanten der Länge nach. Füge sie der Reihe nach der Route hinzu, wenn nicht schon ein Weg zwischen den beiden Knoten vorhanden ist und die Knoten nicht schon Grad zwei erreicht haben. vgl. Minimal Spanning Tree (Kruskal)

Version:
  1.0 from 11.12.2020
Author:
  Thomas Schaller

### Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Thread

`Thread.State, Thread.UncaughtExceptionHandler`

### Field Summary

### Fields inherited from class algorithmen.GraphAlgo

`g, inArbeit`

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

### Constructor Summary

Constructors
`GraphAlgo_TSPGreedy2()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `fuehreAlgorithmusAus()`
`String` `getBezeichnung()`
`String` `getInfo()`

### Methods inherited from class algorithmen.GraphAlgo

`getStartKnoten, getWaitforclick, getWaitforrepaint, info, infoIndentLess, infoIndentMore, melde, resetInfo, run, setGraph, setGUIElemente, setSpeed, setStartKnoten, setStepping, setWaitforclick, setWaitforrepaint, step`

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, toString, yield`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GraphAlgo_TSPGreedy2

    public GraphAlgo_TSPGreedy2()

### Method Detail

#### getBezeichnung

    public String getBezeichnung()

Specified by:
  `getBezeichnung` in class `GraphAlgo`

#### fuehreAlgorithmusAus

    public void fuehreAlgorithmusAus()

Specified by:
  `fuehreAlgorithmusAus` in class `GraphAlgo`

#### getInfo

    public String getInfo()